tw.com.prolific.pl2303ghidsdk

## Class ErrorCode

- java.lang.Object
- - tw.com.prolific.pl2303ghidsdk.ErrorCode

-     public class ErrorCode
      extends java.lang.Object

  SDK 回傳之錯誤值定義.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ERROR_BUFFER_TOO_SMALL`
    `static int` | `ERROR_DATA_LENGTH_TOO_LARGE`
    `static int` | `ERROR_DEVICE_NOT_EXIST`
    `static int` | `ERROR_DEVICE_OPEN_FAIL`
    `static int` | `ERROR_GET_INTERFACE_FAIL`
    `static int` | `ERROR_I2C_ADDRESS_NACK`
    `static int` | `ERROR_I2C_BUS_BUSY`
    `static int` | `ERROR_I2C_DATA_NACK`
    `static int` | `ERROR_I2C_PROCESSING`
    `static int` | `ERROR_NOT_GPIO_PIN`
    `static int` | `ERROR_OTHER_FAIL`
    `static int` | `ERROR_READ_DATA_FAIL`
    `static int` | `ERROR_READ_REGISTER_FAIL`
    `static int` | `ERROR_READ_TIMEOUT`
    `static int` | `ERROR_SUCCESS`
    `static int` | `ERROR_WRITE_DATA_FAIL`
    `static int` | `ERROR_WRITE_REGISTER_FAIL`
    `static int` | `ERROR_WRITE_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorCode()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ERROR_SUCCESS

          public static final int ERROR_SUCCESS

      See Also:
        Constant Field Values

    - #### ERROR_BUFFER_TOO_SMALL

          public static final int ERROR_BUFFER_TOO_SMALL

      See Also:
        Constant Field Values

    - #### ERROR_READ_REGISTER_FAIL

          public static final int ERROR_READ_REGISTER_FAIL

      See Also:
        Constant Field Values

    - #### ERROR_WRITE_REGISTER_FAIL

          public static final int ERROR_WRITE_REGISTER_FAIL

      See Also:
        Constant Field Values

    - #### ERROR_READ_DATA_FAIL

          public static final int ERROR_READ_DATA_FAIL

      See Also:
        Constant Field Values

    - #### ERROR_READ_TIMEOUT

          public static final int ERROR_READ_TIMEOUT

      See Also:
        Constant Field Values

    - #### ERROR_WRITE_DATA_FAIL

          public static final int ERROR_WRITE_DATA_FAIL

      See Also:
        Constant Field Values

    - #### ERROR_WRITE_TIMEOUT

          public static final int ERROR_WRITE_TIMEOUT

      See Also:
        Constant Field Values

    - #### ERROR_DEVICE_NOT_EXIST

          public static final int ERROR_DEVICE_NOT_EXIST

      See Also:
        Constant Field Values

    - #### ERROR_NOT_GPIO_PIN

          public static final int ERROR_NOT_GPIO_PIN

      See Also:
        Constant Field Values

    - #### ERROR_DEVICE_OPEN_FAIL

          public static final int ERROR_DEVICE_OPEN_FAIL

      See Also:
        Constant Field Values

    - #### ERROR_DATA_LENGTH_TOO_LARGE

          public static final int ERROR_DATA_LENGTH_TOO_LARGE

      See Also:
        Constant Field Values

    - #### ERROR_OTHER_FAIL

          public static final int ERROR_OTHER_FAIL

      See Also:
        Constant Field Values

    - #### ERROR_I2C_BUS_BUSY

          public static final int ERROR_I2C_BUS_BUSY

      See Also:
        Constant Field Values

    - #### ERROR_I2C_ADDRESS_NACK

          public static final int ERROR_I2C_ADDRESS_NACK

      See Also:
        Constant Field Values

    - #### ERROR_I2C_DATA_NACK

          public static final int ERROR_I2C_DATA_NACK

      See Also:
        Constant Field Values

    - #### ERROR_I2C_PROCESSING

          public static final int ERROR_I2C_PROCESSING

      See Also:
        Constant Field Values

    - #### ERROR_GET_INTERFACE_FAIL

          public static final int ERROR_GET_INTERFACE_FAIL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ErrorCode

          public ErrorCode()